[lucid] cannot start cairo-dock since last updates

Bug #568258 reported by arno_b on 2010-04-22
This bug report is a duplicate of:  Bug #568083: Please update Cairo-Dock to v2.1.3-10. Edit Remove
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cairo-dock (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: cairo-dock

On lucid, after the updates of this morning, cairo-dock does not want to start. It says:
"no plugin were found
Plug-in provides...
..."

I only use official packages.
After a purge, a reinstall, and a removing of folder .config/cairo-dock, the problem is still here.
It happens for both with openGL and without.

When I start cairo-dock in command line, it gives me the following log:

 ============================================================================
 Cairo-Dock version: 2.1.3-10-lucid
 Compiled date: Apr 22 2010 01:10:48
 Running with OpenGL: 1
 ============================================================================

warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-quick-browser.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-tomboy.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-show_mouse.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-systray.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-clock.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-shortcuts.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-Toons.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-mail.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-switcher.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-keyboard-indicator.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-showDesktop.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-Clipper.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-drop_indicator.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-terminal.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-weblets.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-dialog-rendering.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-RSSreader.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-System-Monitor.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-musicPlayer.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-rendering.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-dustbin.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-illusion.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-AlsaMixer.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-Xgamma.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-motion_blur.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  while opening module '/usr/lib/cairo-dock/libcd_xfce-integration.so' : (libthunar-vfs-1.so.2: Ne peut ouvrir le fichier d'objet partagé: Aucun fichier ou dossier de ce type)
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-weather.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-slider.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-netspeed.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-Animated-icons.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-icon-effect.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-Cairo-Penguin.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd_gnome-integration.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-desklet-rendering.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-compiz-icon.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-stack.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-GMenu.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-wifi.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-logout.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-dnd2share.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-powermanager.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
warning : (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
  this module ('/usr/lib/cairo-dock/libcd-Dbus.so') was compiled with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
  It will be ignored
OpenGL config summary :
 - bNonPowerOfTwoAvailable : 1
 - bPBufferAvailable : 1
 - direct rendering : 1
 - bTextureFromPixmapAvailable : 1
 - GLX version : 1.4
 - OpenGL version: 3.2.0 NVIDIA 195.36.15
 - OpenGL vendor: NVIDIA Corporation
 - OpenGL renderer: Quadro NVS 160M/PCI/SSE2

activating pbuffer, usually buggy drivers will crash here ... ok, they are fine enough.
warning : (cairo-dock-launcher-factory.c:cairo_dock_load_icon_info_from_desktop_file:406)
  while trying to load 01empathy.desktop : Le fichier de clés n'a pas de clé « Is container »
warning : (cairo-dock-launcher-factory.c:cairo_dock_load_icon_info_from_desktop_file:406)
  while trying to load 01gcalctool.desktop : Le fichier de clés n'a pas de clé « Is container »
warning : (cairo-dock-launcher-factory.c:cairo_dock_load_icon_info_from_desktop_file:406)
  while trying to load 01inkscape.desktop : Le fichier de clés n'a pas de clé « Is container »
warning : (cairo-dock-launcher-factory.c:cairo_dock_load_icon_info_from_desktop_file:406)
  while trying to load 01f-spot.desktop : Le fichier de clés n'a pas de clé « Is container »
cairo_dock_create_surface_from_image_simple: assertion `cImageFile != NULL' failed
cairo_dock_create_surface_from_image_simple: assertion `cImageFile != NULL' failed
debut de boucle bloquante ...
 -> action !
fin de boucle bloquante -> 0

Related branches

arno_b (arno.b) wrote :

Did you forget to compile the plugins with the last version?...

Download full text (12.9 KiB)

I've installed the lucid-10 package without any problem though.
maybe you've just ran the update during the repository update ?

2010/4/22 arno_b <email address hidden>

> Did you forget to compile the plugins with the last version?...
>
> --
> [lucid] cannot start cairo-dock since last updates
> https://bugs.launchpad.net/bugs/568258
> You received this bug notification because you are a member of Cairo-
> Dock Team, which is subscribed to cairo-dock in ubuntu.
>
> Status in “cairo-dock” package in Ubuntu: New
>
> Bug description:
> Binary package hint: cairo-dock
>
> On lucid, after the updates of this morning, cairo-dock does not want to
> start. It says:
> "no plugin were found
> Plug-in provides...
> ..."
>
> I only use official packages.
> After a purge, a reinstall, and a removing of folder .config/cairo-dock,
> the problem is still here.
> It happens for both with openGL and without.
>
> When I start cairo-dock in command line, it gives me the following log:
>
>
> ============================================================================
> Cairo-Dock version: 2.1.3-10-lucid
> Compiled date: Apr 22 2010 01:10:48
> Running with OpenGL: 1
>
> ============================================================================
>
> warning :
> (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
> this module ('/usr/lib/cairo-dock/libcd-quick-browser.so') was compiled
> with Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
> It will be ignored
> warning :
> (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
> this module ('/usr/lib/cairo-dock/libcd-tomboy.so') was compiled with
> Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
> It will be ignored
> warning :
> (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
> this module ('/usr/lib/cairo-dock/libcd-show_mouse.so') was compiled with
> Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
> It will be ignored
> warning :
> (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
> this module ('/usr/lib/cairo-dock/libcd-systray.so') was compiled with
> Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
> It will be ignored
> warning :
> (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
> this module ('/usr/lib/cairo-dock/libcd-clock.so') was compiled with
> Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
> It will be ignored
> warning :
> (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
> this module ('/usr/lib/cairo-dock/libcd-shortcuts.so') was compiled with
> Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
> It will be ignored
> warning :
> (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
> this module ('/usr/lib/cairo-dock/libcd-Toons.so') was compiled with
> Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
> It will be ignored
> warning :
> (cairo-dock-modules.c:cairo_dock_preload_module_from_directory:373)
> this module ('/usr/lib/cairo-dock/libcd-mail.so') was compiled with
> Cairo-Dock v2.1.3-6, but Cairo-Dock is in v2.1.3-10-lucid
> It will be ignored
> warning :
> ...

arno_b (arno.b) wrote :

I've just updated the repository, purged cairo-dock (and its library), reinstalled it. The problem is still here.
I am on ubuntu 64bit by the way. Do you use a 64 bit system?

Liam (liam-dennehy) wrote :

Downgrading to 2.3.1-8 fixes the described problem, re-upgrading to 2.3.1-10 and the problem recurs, all cairo-dock-* packages are at the same level in each test.

J. McDonald (mcdonald-joseph) wrote :

I had the exact same thing happen this morning - the update broke Cairo-Dock on my HP Mini 311 with an error saying "No plug-in were found" . I originally had the OpenGL version running. I get the same error with both the OpenGL and no OpenGL versions. I have the following installed:

cairo-dock 2.1.3-10-0ubuntu1
cairo-dock-core 2.1.3-10-0ubuntu1
cairo-dock-data 2.1.3-10-0ubuntu1
cairo-dock-plug-ins 2.1.3-10-0ubuntu1
cairo-dock-plug-ins-data 2.1.3-10-0ubuntu1
cairo-dock-plug-ins-integration 2.1.3-10-0ubuntu1

J. McDonald (mcdonald-joseph) wrote :

Also - this was a 32-bit system so it is not specific to 64-bit

hopper333 (hop333) wrote :

this has affected me too - 32bit upgraded via 'update-manager -d' yesterday and only official cairo-dock packages used

colinjones (colin-a-jones) wrote :

I have the same issue as of this update

Matthieu Baerts (matttbe) wrote :

Hello,
The bug has been fixed and it's compiling : https://launchpad.net/ubuntu/+source/cairo-dock-plug-ins/2.1.3-10-lucid-0ubuntu2
This new release will be available soon (it depends of your mirror ;) )

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers